> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning

> Set the Video Positioning Targeting configuration for the ad set whose id is specified



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json put /preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning:
    put:
      tags:
        - Campaign
      summary: >-
        /preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning
      description: >-
        Set the Video Positioning Targeting configuration for the ad set whose
        id is specified
      operationId: SetAdSetTargetingVideoPositioning
      parameters:
        - name: ad-set-id
          in: path
          description: Id of the Ad Set
          required: true
          schema:
            type: string
      requestBody:
        description: the new Video Positioning Targeting configuration
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetAdSetTargetingVideoPositioningRequest'
        required: true
        x-bodyName: adSetTargetingVideoPositioning
      responses:
        '200':
          description: the errors/warnings if any
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/AdSetTargetingVideoPositioningSetResultResponse
      security:
        - oauth:
            - MarketingSolutions_Campaign_Manage
components:
  schemas:
    SetAdSetTargetingVideoPositioningRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/SetAdSetTargetingVideoPositioningResource'
      description: "Represents an API request message containing the usual valueResource data field,\r\ni.e. data is not an entity (no id). This can be used for association objects."
    AdSetTargetingVideoPositioningSetResultResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AdSetTargetingVideoPositioningSetResultResource'
        errors:
          uniqueItems: false
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
        warnings:
          uniqueItems: false
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
      description: "Represents an API response message containing the usual outcome fields (warnings+errors), and a valueResource data,\r\ni.e. data is not an entity (no id). This can be used for association objects."
    SetAdSetTargetingVideoPositioningResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/SetAdSetTargetingVideoPositioning'
        type:
          type: string
      description: A class that represents a ValueType in a guild compliant way
    AdSetTargetingVideoPositioningSetResultResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/AdSetTargetingVideoPositioningSetResult'
        type:
          type: string
          nullable: true
      description: A class that represents a ValueType in a guild compliant way
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    SetAdSetTargetingVideoPositioning:
      type: object
      properties:
        playbackMethod:
          uniqueItems: false
          type: array
          items:
            enum:
              - AutoSoundOn
              - AutoSoundOff
              - ClickSoundOn
              - MouseOverSoundOn
              - EnteringViewportSoundOn
              - EnteringViewportSoundOff
            type: string
        skippable:
          enum:
            - Required
            - Blocked
          type: string
        videoAspectRatio:
          uniqueItems: false
          type: array
          items:
            enum:
              - Horizontal
              - Square
              - Vertical
            type: string
        videoInStreamPosition:
          uniqueItems: false
          type: array
          items:
            enum:
              - PreRoll
              - MidRoll
              - PostRoll
            type: string
        videoPlayerSize:
          uniqueItems: false
          type: array
          items:
            enum:
              - Small
              - Medium
              - Large
              - ExtraLarge
            type: string
        videoPlcmt:
          uniqueItems: false
          type: array
          items:
            enum:
              - InStream
              - AccompanyingContent
              - Interstitial
              - NoContentStandalone
            type: string
      description: Video positioning targeting writing model
      x-criteo-canonical:
        infoType: entity
    AdSetTargetingVideoPositioningSetResult:
      type: object
      description: Result of the AdSetTargetingDealIds setting
      nullable: true
      x-criteo-canonical:
        infoType: entity
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````